Bug 166448 - FC4 desktop icons for OpenOffice have terrible useablility
FC4 desktop icons for OpenOffice have terrible useablility
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-21 14:40 EDT by Bryan Cole
Modified: 2013-03-05 22:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 14:30:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the current OOo office document icons (34.66 KB, image/png)
2005-08-24 15:07 EDT, Bryan Cole
no flags Details

  None (edit)
Description Bryan Cole 2005-08-21 14:40:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.3

Description of problem:
OpenOffice-2 introduced a new color-coding scheme for it's component document types: blue for text docs, green for spreadsheets, orange for presentations, yellow for drawings and red for databases. This follows an idea well used by Microsoft Office: by giving each component application document it's own distinct color, document types are easily identified at a glance.

The desktop icons for OO documents in FC4 totally violate this scheme. Worse still, the icons used by FC to replace the stock OOo ones are low-contrast and they all share an identical color scheme. This makes it nearly impossible to visually distinguish e.g. presentations from text-documents in a folder full of OOo files.

Please can we have the original OOo-2 icons back! Or at least replace them with ones which share the OOo document color scheme.

I feel useability should be prioritised above FC branding.

Version-Release number of selected component (if applicable):
all

How reproducible:
Always

Steps to Reproduce:
1. Open a folder full of OOo documents
2. Develop a aquint trying to select one Impress document within a load of text-documents
3. visit optician ...
  

Additional info:
Comment 1 Caolan McNamara 2005-08-22 04:19:06 EDT
for bug 156065 we dropped the upstream icons
Comment 2 Bryan Cole 2005-08-24 15:07:51 EDT
Created attachment 118086 [details]
screenshot showing the current OOo office document icons

The icons are very hard to distinguish in a folder containing many documents
because:

1) they all have a similar overall outline
2) they have a similar colour-scheme
3) the differences between the icons rely on the icon detail i.e. one must read
"ODT", "ODS"or "ODP" annotations to know what one is looking at. The rest of
the icon contains too much detail to see clearly.

OOo-Draw documents doesn't have a proper icon at all.
Comment 3 Bryan Cole 2005-08-24 15:17:07 EDT
Note, I'm refering to the document icons, not the application launchers, which
appears to be what bug #156065 refers to. Sorry if I wasn't clear about this.
See attachment above.

Obviously, it would be good if the application lauchers and document icons were
consistent.

I also disagree with the comment under bug #156065 that humans can distinguish
shapes more easily than colour. I think it would be better to give the each
document-type a distinct colour than a distinct shape. When scanning a folder
containing many many icons, the shapes are not easily picked out by eye, since
the dominant "shape" you see is the grid-layout of the icons. However, different
colours stand out on a grid quite clearly. Try this for yourself! ... create 20
spreadsheets and 3 presentations in the same folder an see how easy it is to
spot the presentations from the others.
Comment 4 John (J5) Palmieri 2005-11-04 15:00:07 EST
While the current behavior is wrong and I will be updating redhat-artwork to
refrence the correct Bluecurve icons (which match the application icons), we
will not be addressing the color issue at this time.  If you wish to have the
upstream icons you can replace the correct icons in the
/usr/share/icons/Bluecurve/<size>/mimetype directory but this will be
overwritten on upgrades of the redhat-artwork package.  Alternately you can
create your own theme that inherits from Bluecurve and place the icons in that
theme.  Take a look at how this is done in /usr/share/icons/Clearlooks/ which
inherits from Bluecurve and only adds a couple of icons. 
Comment 5 diana fong 2005-11-07 13:28:07 EST
Might work in the colors later, but for now, we're going to make the icons match
the application icons.
Comment 6 Christian Iseli 2007-01-19 19:25:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 petrosyan 2008-02-28 14:30:27 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.